#
# spec file for package python-zope.schema
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.schema
Version:        4.4.2
Release:        4.49
Summary:        Zope interface extension for defining data schemas
License:        ZPL-2.1
Group:          Development/Languages/Python
URL:            https://pypi.python.org/pypi/zope.schema
Source:         https://files.pythonhosted.org/packages/source/z/zope.schema/zope.schema-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.event
Requires:       python-zope.interface >= 3.6.0
BuildArch:      noarch
%python_subpackages

%description
Schemas extend the notion of interfaces to detailed descriptions of
Attributes (but not methods).  Every schema is an interface and
specifies the public fields of an object.  A *field* roughly
corresponds to an attribute of a Python object.  But a Field provides
space for at least a title and a description.  It can also constrain
its value and provide a validation method.  Besides you can optionally
specify characteristics such as its value being read-only or not
required.

%prep
%setup -q -n zope.schema-%{version}
rm -rf zope.schema.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%doc COPYRIGHT.txt CHANGES.rst README.rst
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Jul 13 2017 aloisio@gmx.com
- Converted to single-spec
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.4.2:
  * Fix description of min max field: max value is included,
    not excluded.
- additional changes from version 4.4.1:
  * Added support for Python 3.4.
- switch the source archive to tar.gz (zip not available)
- remove unzip from BuildRequires
- pass -q to test to avoid spamming the build log
* Fri Feb 28 2014 os-dev@jacraig.com
- Update to 4.4.0:
  * Add an event on field properties to notify that a field has been updated.
    This event enables definition of subscribers based on an event, a context
    and a field. The event contains also the old value and the new value.
    (also see package ``zope.schemaevent`` that define a field event handler)
- Changes from 4.3.3:
  * PEP 8 cleanup.
  * Don't raise RequiredMissing if a field's defaultFactory returns the field's
    missing_value.
  * Updated ``boostrap.py`` to version 2.2.
  * Add the ability to swallow ValueErrors when rendering a SimpleVocabulary,
    allowing for cases where vocabulary items may be duplicated (e.g., due to
    user input).
  * It was a pain that ``ConstraintNotSatisfied`` did not tell the field name.
* Mon Jul 29 2013 hpj@urpla.net
- generate separate -doc package
* Wed Mar 20 2013 speilicke@suse.com
- Add (Build)Requires python-ordereddict for SLE_11 only
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
